#!/usr/bin/perl

use utf8;
use strict;
use CGI;

require "common.pl";

my $query=new CGI;
my $runtable="runtable.txt";

my $data;

if(open(R,$runtable)) {
	foreach(<R>) {
		next if(/^V/);
		$data.=$_;
	}
	close(R);
}

my $today=&date("Y-m-d",,time);
my $nextday=&date("Y-m-d",,time+86400);
my $time=&date("H:i",,time);

&gzip_compress("Content-type: text/html; charset=utf-8\nCache-Control: max-age=0\nExpires: Mon, 26, Jul 1997 05:00:00 GMT");

print <<EOM;
<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>runtableエディタ</title>
</head>
<body>
EOM

if($query->param('add') ne '') {
	if(!-w "$runtable") {
		print <<EOM;
Error:$runtable に書き込みできません
</body>
</html>
EOM
		exit;
	}
	open(W,">$runtable");
	print W "V\t$today $time\n";
	print W $data;
	my $firm=$query->param('firm');
	my $date=$query->param('date');
	my $grp=$query->param('grp');
	my $flg=$query->param('flg');
	$flg=$flg eq 1 ? "実施" : $flg eq 2 ? "実施予定" : $flg eq 3 ?  "中止" : "なし";
	print W "$firm\t$date\t$grp\t$flg\n";
	close(W);

	print <<EOM;
エントリを追加しました。
<table>
<tr><td>電力会社：</td><td>$firm</td></tr>
<tr><td>日付：</td><td>$date</td></tr>
<tr><td>グループ：</td><td>$grp</td></tr>
<tr><td>フラグ：</td><td>$flg</td></tr>
</table>
<hr />
EOM
}

print <<EOM;
東京電力：<hr />
<form action="runtable_editor.cgi" method="post">
<input type="hidden" name="firm" value="T" />
日付：<br />
<select name="date">
<option value="$today">$today</option>
<option value="$nextday">$nextday</option>
</select><br />
エリア：
<select name="grp">
<option value="1-A">1-A</option>
<option value="1-B">1-B</option>
<option value="1-C">1-C</option>
<option value="1-D">1-D</option>
<option value="1-E">1-E</option>
<option value="2-A">2-A</option>
<option value="2-B">2-B</option>
<option value="2-C">2-C</option>
<option value="2-D">2-D</option>
<option value="2-E">2-E</option>
<option value="3-A">3-A</option>
<option value="3-B">3-B</option>
<option value="3-C">3-C</option>
<option value="3-D">3-D</option>
<option value="3-E">3-E</option>
<option value="4-A">4-A</option>
<option value="4-B">4-B</option>
<option value="4-C">4-C</option>
<option value="4-D">4-D</option>
<option value="4-E">4-E</option>
<option value="5-A">5-A</option>
<option value="5-B">5-B</option>
<option value="5-C">5-C</option>
<option value="5-D">5-D</option>
<option value="5-E">5-E</option>
</select>
<br />
フラグ:
<select name="flg">
<option value="1">実施</option>
<option value="2">実施予定</option>
<option value="3">中止</option>
<option value="4">なし</option>
</select>
<br />
<input type="submit" name="add" value="追加" />
</form>
<hr />
東北電力：<hr />
<form action="runtable_editor.cgi" method="post">
<input type="hidden" name="firm" value="H" />
日付：<br />
<select name="date">
<option value="$today">$today</option>
<option value="$nextday">$nextday</option>
</select><br />
エリア：
<select name="grp">
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
<option value="7">7</option>
<option value="8">8</option>
<option value="9">9</option>
<option value="10">10</option>
<option value="11">11</option>
<option value="12">12</option>
<option value="13">13</option>
<option value="14">14</option>
<option value="15">15</option>
<option value="16">16</option>
<option value="17">17</option>
<option value="18">18</option>
<option value="19">19</option>
<option value="20">20</option>
<option value="21">21</option>
<option value="22">22</option>
<option value="23">23</option>
<option value="24">24</option>
<option value="25">25</option>
<option value="26">26</option>
<option value="27">27</option>
</select>
<br />
フラグ:
<select name="flg">
<option value="1">実施</option>
<option value="2">実施予定</option>
<option value="3">中止</option>
<option value="4">なし</option>
</select>
<br />
<input type="submit" name="add" value="追加" />
</form>
</body>
</html>
EOM
